petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexCreateGlobalToNaturalSF

Creates the SF for mapping Global Vec to the Natural Vec

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateGlobalToNaturalSF(DM dm, PetscSection section, PetscSF sfMigration, PetscSF *sfNatural)

### Input Parameters

| dm | - The DM
| section | - The PetscSection before the mesh was distributed
| sfMigration | - The PetscSF used to distribute the mesh

### Output Parameters

sfNatural -PetscSF for mapping the Vec in PETSc ordering to the canonical ordering

### See Also

DMPlexDistribute(), DMPlexDistributeField()

### Level

intermediate

### Location

src/dm/impls/plex/plexnatural.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages